=== debian/changelog ===
ros-melodic-usv-gazebo-plugins (1.3.0-1bionic) bionic; urgency=high

  * Make code_check happy.
  * Mod to make use of maxCmd and update to .hgignore
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.6-1bionic) bionic; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.5-1bionic) bionic; urgency=high

  * merging default into branch
  * Changes for code checker
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.4-1bionic) bionic; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.3-1bionic) bionic; urgency=high

  * Minor maintenance updates.
  * Fix style error.
  * Adding a default value for the length_n plugin parameter
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Aguero <mailto:caguero@osrfoundation.org>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.2-1bionic) bionic; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 05 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.1-1bionic) bionic; urgency=high

  * updated comments
  * minor cleanup + env flag + disable z
  * Namespace tweaks.
  * Style changes.
  * gazebo 7 bug fix
  * removed from wamv
  * gazebo 7 compatibility
  * force vectors are correct; scaling added
  * Contributors: Carlos Aguero, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 04 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.0-1bionic) bionic; urgency=high

  * Deterministic wind.
  * Add v3d plugin - this publishes a vecotr based on the world frame velocity in Gazebo
    Update gps configuration to add gazebo gps and v3d plugins to standard configuration
  * Add plugin for ROS interface to gazebo GPS sensor.
  * added cylinder placeholder
  * incremental
  * added plate and sphere models
  * functional for cubes
  * added force visual plugin
  * Contributors: Carlos Aguero, Jonathan Wheare <mailto:jonathan.wheare@flinders.edu.au>, MarshallRawson, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Sun, 18 Aug 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.1.2-1bionic) bionic; urgency=high

  * usv_gazebo_wind_plugin.hh changes
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Agüero <mailto:cen.aguero@gmail.com>, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Tue, 09 Jul 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.1.1-1bionic) bionic; urgency=high

  * Reinterpret the wind 'gain' parameter.  Set defaults to zero
  * updated style for buoyancy plugin
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Tue, 02 Jul 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.1.0-1bionic) bionic; urgency=high

  * Refactor SpinPropeller to be more clear and match style of RotateEngine
  * Publish joint state for chassis engine joint to fix tf tree issue
  * addressed Brian's comments
  * Connecting wave model to buoyancy plugin
  * buoyancy now uses wave height
  * capitalized brief sentences
  * gazebo 7 vector3[] operator lhv error fixed try 2
  * gazebo 7 vector3[] operator lhv error fixed
  * gazebo <= 8 fixes for Mass and AngularVel
  * complex objects + xacro cleanup
  * force applied in correct place
  * centroid + volume complete
  * moved shape volume into its own file and renamed classes
  * tiny refactor
  * polyhedron class finished and tests passed
  * implemented polyhedron based cube + cylinder submerged volume and cov
  * rotation bug fix
  * basic volume for box, sphere and cylinder
  * removed old volume data structure + created skeleton for volume calc
  * removed old volume data structure + created skeleton for volume calc
  * added move constructor for buoyancy object and remove copy constructor
  * added links and buoyancy object to plugin
  * minor cleanup
  * added pose for buoyancy element
  * parsed buoyancy shape now saved as unique_ptr
  * cleaned up parsing
  * updated buoyancy xacro + parsing
  * Setup buoyancy test build system + test world
  * merging with default - need to check wind
  * added wind capabilities
  * Removing gazebo::msg::Param references and cleaning up for gazebo version < 8 compatibility.
  * Removed gazebo messaging, introduces redundancy in model.sdf for ocean. USV and buoyancy plugins only get wave parameters once instead of every update.
  * Move link error message.
  * Another Nitpick fix (== nullptr) => !
  * Nitpick fix (== nullptr) => !
  * Clarify required and optional parameters, and remove unused confusing default declarations
  * Put required parameters together and make it obvious which are required
  * Retune PID for engineJoint with lower P gain, for more realistic behavior
  * Add <enableAngle> bool parameter that controls if angle is adjustable or not
  * C++ Code style fixes
  * Add documentation about maxAngle and angleTopic
  * updated documentation
  * Attempt to fix build issue with .GetAngle().Radian()
  * Attempt to fix build issue with Position() -> GetAngle() for old gazebo version
  * Implement PID controller for engine joint to set joint angle
  * changed sdf sytax for passing models to be effected by wind and addressed styling
  * Attempt to fix build issues SetAngle->SetPosition
  * Attempt to fix build issue with different setAngle setPosition implementation based on Gazebo version
  * Implement turnable thruster joint

