=== debian/control ===
Source: ros-melodic-usv-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Carlos Aguero <caguero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-gazebo-dev, ros-melodic-gazebo-ros (>= 2.5.17), ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-wave-gazebo-plugins, ros-melodic-xacro
Homepage: http://wiki.ros.org/usv_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-melodic-usv-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-gazebo-dev, ros-melodic-gazebo-ros (>= 2.5.17), ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-wave-gazebo-plugins, ros-melodic-xacro
Description: Gazebo plugins for simulating Unmanned Surface Vehicles Originaly copied from https://github.com/bsb808/usv_gazebo_plugins
